<template>
  <div id="app">
    <Navbar></Navbar>
    <div class="md-layout md-alignment-center-center">
      <div class="md-layout-item md-xlarge-size-66 md-large-size-66 md-size-medium-66 md-size-small-60 md-xsmall-size-100">
        
        <div class="page">
          <router-view/>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import Navbar from './components/Navbar.vue'

export default {
  name: 'App',
  metaInfo: {
    title: 'ยินดีต้อนรับสู่ TaRangRian'
  },
  components: {
    Navbar
  }
}
</script>

<style lang="scss">
//Theme
@import "~vue-material/dist/theme/engine"; // Import the theme engine

@include md-register-theme("default", (
  primary: #00bfa6,
  theme: light,
));

@import "~vue-material/dist/theme/all"; // Apply the theme

//Font
@import url('https://fonts.googleapis.com/css2?family=Prompt&display=swap');
@import url('https://fonts.googleapis.com/icon?family=Material+Icons');

* {
  font-family: 'Prompt', sans-serif;
}

body {
  align-self: center;
  background-color: white;
}

.app {
  width: 100%;
}

//CSS
.page {
  margin-left: 1.5rem;
  margin-right: 1.5rem;
  padding-bottom: 3rem;
}


</style>
